# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes | Friends

# vl::VLSettings Class Reference

Global application settings controlling how Visualization Library behaves. More...

`#include <VLSettings.hpp>`

Inheritance diagram for vl::VLSettings:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| VLSettings ()
void | setCheckOpenGLStates (bool check_clean)
| If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.
bool | checkOpenGLStates () const
| If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.
void | setVerbosityLevel (EVerbosityLevel verb_level)
| The verbosity level of VL.
EVerbosityLevel | verbosityLevel () const
| The verbosity level of VL.
const String & | defaultLogPath () const
| The path of the default log file.
const String & | defaultDataPath () const
| The path of the default data directory.

## Protected Attributes

EVerbosityLevel | mVerbosityLevel
bool | mCheckOpenGLStates
String | mDefaultLogPath
String | mDefaultDataPath

## Friends

class | VisualizationLibrary

## Detailed Description

Global application settings controlling how Visualization Library behaves.

Definition at line 41 of file VLSettings.hpp.

## Constructor & Destructor Documentation

VLSettings::VLSettings | ( | ) |

Definition at line 39 of file VLSettings.cpp.

References mCheckOpenGLStates, mDefaultDataPath, mDefaultLogPath, mVerbosityLevel, setCheckOpenGLStates(), setVerbosityLevel(), vl::VEL_VERBOSITY_DEBUG, vl::VEL_VERBOSITY_ERROR, vl::VEL_VERBOSITY_NORMAL, vl::VEL_VERBOSITY_SILENT, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::VLSettings::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Definition at line 45 of file VLSettings.hpp.

void vl::VLSettings::setCheckOpenGLStates | ( | bool | check_clean ) | `[inline]`

If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.

If the test fails it can mean that either there is a bug in VL or that the user did not restore the OpenGL states to a VL friendly state after modifying them.

Note:
  This can slow down the rendering. Enabled by default in DEBUG mode only.

Definition at line 54 of file VLSettings.hpp.

Referenced by VLSettings().

bool vl::VLSettings::checkOpenGLStates | ( | ) | const`[inline]`

If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.

If the test fails it can mean that either there is a bug in VL or that the user did not restore the OpenGL states to a VL friendly state after modifying them.

Note:
  This can slow down the rendering. Enabled by default in DEBUG mode only.

Definition at line 61 of file VLSettings.hpp.

void vl::VLSettings::setVerbosityLevel | ( | EVerbosityLevel | verb_level ) | `[inline]`

The verbosity level of VL.

This applies to all the logs generated via vl::Log::*.

Definition at line 64 of file VLSettings.hpp.

Referenced by VLSettings().

EVerbosityLevel vl::VLSettings::verbosityLevel | ( | ) | const`[inline]`

The verbosity level of VL.

This applies to all the logs generated via vl::Log::*.

Definition at line 67 of file VLSettings.hpp.

const String& vl::VLSettings::defaultLogPath | ( | ) | const`[inline]`

The path of the default log file.

Definition at line 70 of file VLSettings.hpp.

const String& vl::VLSettings::defaultDataPath | ( | ) | const`[inline]`

The path of the default data directory.

Definition at line 73 of file VLSettings.hpp.

## Friends And Related Function Documentation

friend class VisualizationLibrary`[friend]`

Definition at line 43 of file VLSettings.hpp.

## Member Data Documentation

EVerbosityLevel vl::VLSettings::mVerbosityLevel`[protected]`

Definition at line 76 of file VLSettings.hpp.

Referenced by VLSettings().

bool vl::VLSettings::mCheckOpenGLStates`[protected]`

Definition at line 77 of file VLSettings.hpp.

Referenced by VLSettings().

String vl::VLSettings::mDefaultLogPath`[protected]`

Definition at line 78 of file VLSettings.hpp.

Referenced by VLSettings().

String vl::VLSettings::mDefaultDataPath`[protected]`

Definition at line 79 of file VLSettings.hpp.

Referenced by VLSettings().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLSettings.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLSettings.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:36.
Permission is granted to use this page to write and publish articles regarding Visualization Library.